libzypp 17.37.10

zyppng::SocketNotifierPrivate Class Reference
Inheritance diagram for zyppng::SocketNotifierPrivate:

## Public Member Functions
| SocketNotifierPrivate (SocketNotifier &p)
Public Member Functions inherited from zyppng::AbstractEventSourcePrivate
| AbstractEventSourcePrivate (AbstractEventSource &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
Signal< void(const SocketNotifier &, int)> | _activated
int | _socket = -1
int | _mode = SocketNotifier::Read
bool | _enabled = false
Public Attributes inherited from zyppng::AbstractEventSourcePrivate
std::weak_ptr< EventDispatcher > | _ev
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 6 of file socketnotifier.cc.

## Constructor & Destructor Documentation

## ◆ SocketNotifierPrivate()

zyppng::SocketNotifierPrivate::SocketNotifierPrivate | ( | SocketNotifier & | p | ) |
| inline

Definition at line 11 of file socketnotifier.cc.

## Member Data Documentation

## ◆ _activated

Signal< void (const SocketNotifier &, int)> zyppng::SocketNotifierPrivate::_activated

Definition at line 14 of file socketnotifier.cc.

## ◆ _socket

int zyppng::SocketNotifierPrivate::_socket = -1

Definition at line 16 of file socketnotifier.cc.

## ◆ _mode

int zyppng::SocketNotifierPrivate::_mode = SocketNotifier::Read

Definition at line 17 of file socketnotifier.cc.

## ◆ _enabled

bool zyppng::SocketNotifierPrivate::_enabled = false

Definition at line 18 of file socketnotifier.cc.

The documentation for this class was generated from the following file:

- zypp-core/zyppng/base/socketnotifier.cc